> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Account



## OpenAPI

````yaml https://api.mynth.io/openapi.json get /me
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /me:
    get:
      tags:
        - Account
      summary: Get Current Account
      operationId: getMe
      responses:
        '200':
          description: The authenticated identity
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      auth:
                        type: object
                        properties:
                          method:
                            enum:
                              - api-key
                              - oauth
                          apiKey:
                            type: object
                            description: Present when authenticated with an API key.
                            properties:
                              id:
                                type: string
                              keyPreview:
                                type: string
                                examples:
                                  - mak_abc...xyz
                              name:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - id
                              - keyPreview
                              - name
                        required:
                          - method
                      userId:
                        type: string
                        examples:
                          - user_01JD8G3W1R5T6Y7U8I9O0P1Q2W
                    required:
                      - auth
                      - userId
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````